Subject: Re: patch submission process, was Re: [PATCH v6 06/16] merge_recursive: abort properly upon errors

From: Eric Wong <[email-masked]>
Date: Fri, 5 Aug 2016 21:01:29 +0000

Stefan Beller <[email-masked]> wrote:
> On Fri, Aug 5, 2016 at 1:20 AM, Johannes Schindelin
> <[email-masked]> wrote:
> > Yet another option would be to have a tool that integrates with the Git
> > repository of the Git mailing list represented by public-inbox.
> 
> So my first reaction to that would be: you could push you patches to
> that public inbox and it is translated to emails sent on your behalf.
> 
> Which is reinventing submitGit just in a more accessible language?

Maybe vger.kernel.org could open its submission (587) port like
Debian does.   Unfortunately, this hurts the ability to Cc:
folks directly and makes vger even more of an SPOF
(I guess submitGit also has this problem)

Fwiw, I have a public-inbox for my miscellaneous patch barf at
[email-masked] - https://80x24.org/spew/
http://ou63pmih66umazou.onion/spew/

I will throw up my untested/half-tested patches for various
projects so I can still access it across various NATs and
firewalls.

Using Tor for send-email often works (depending on which
blacklists the exit node is on), but is totally optional
(you'd expose your IP).

==> ~/bin/spew <==
#!/bin/sh
exec torsocks git send-email \
	--smtp-domain=80x24.org \
	--smtp-debug=1 \
	--smtp-server-port=submission \
	--smtp-server=80x24.org \
	--to [email-masked]} \
	--suppress-cc=all \
	"$@"

All: Feel free to use it for any Free Software projects, too;
or better yet, host your own :)